package org.jeecg.modules.message.handle;

import org.jeecg.modules.message.entity.MailAttacch;

import java.util.List;

public interface ISendMsgHandle {
	//普通邮件发送
	void SendMsg(String es_receiver, String es_title, String es_content);
	//
	void peopleSendMsg(String from,String es_receiver, String es_title, String es_content);
	//带附件
	void SendMsgAndFile(String es_receiver, String es_title, String es_content, List<MailAttacch> attachs);
	//带附件 设置多个收件人
	void SendMsgAndFileAndreceivers(String[] es_receiver, String es_title, String es_content, List<MailAttacch> attachs);

	void peopleSendMsgAndFile(String from,String es_receiver, String es_title, String es_content, List<MailAttacch> attachs);
}
